Bug 10793 - selftest incorrectly detects the pid of child processes if the perl value is empty.
selftest incorrectly detects the pid of child processes if the perl value is ...
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: Test infrastructure
4.0.21
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-09-04 12:07 UTC by Andreas Schneider
Modified: 2015-12-22 22:48 UTC (History)
3 users (show)

See Also:


Attachments
v4-1-test patch (1.33 KB, patch)
2014-09-05 06:29 UTC, Andreas Schneider
metze: review+
ddiss: review+
Details
v4-0-test patch (1.33 KB, patch)
2014-09-05 06:30 UTC, Andreas Schneider
metze: review+
ddiss: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Schneider 2014-09-04 12:07:32 UTC
selftest incorrectly detects the pid of child processes if the perl value is empty. This results in success checking if the 'samba' binary is running. So we don't start the DC and tests are failing.

Patch will follow.
Comment 1 Andreas Schneider 2014-09-05 06:29:08 UTC
Created attachment 10258 [details]
v4-1-test patch
Comment 2 Andreas Schneider 2014-09-05 06:30:01 UTC
Created attachment 10259 [details]
v4-0-test patch
Comment 3 Karolin Seeger 2014-09-08 18:58:29 UTC
Pushed to autobuild-v4-[0|1]-test.
Comment 4 Karolin Seeger 2014-09-13 13:17:38 UTC
Pushed to both branches.
Closing out bug report.

Thanks!
Comment 5 Andrew Bartlett 2015-12-22 22:48:07 UTC
A related issue has been fixed in Samba git master: e242d7264e50b1f13b95497d9cb759205931e7a2

It isn't clear what changed in perl to need these fixes, but the new code should be more reliable.